<div class="body text-center">
    <main class="form-signin">
        <form [formGroup]="loginForm" (ngSubmit)="submitLogin()" novalidate>
            <img class="mb-4" src="https://getbootstrap.com/docs/5.0/assets/brand/bootstrap-logo.svg" alt="" width="72" height="57">
            <h1 class="h3 mb-3 fw-normal">Panel de Acceso</h1>
            <div class="alert alert-danger" role="alert" *ngIf="mensaje_error!=''">
                {{mensaje_error}}
            </div>
            <div class="form-floating">
                <input type="text" [ngClass]="{'form-control':true,'is-invalid': submitted && loginForm.invalid && loginForm.controls.usuario_nombre.errors}" formControlName="usuario_nombre" id="floatingInput" placeholder="name@example.com" required>
                <label for="floatingInput">Usuario</label>
                <!-- <div id="valid" [ngClass]="{'invalid-feedback': loginForm != {} && loginForm.invalid && loginForm.controls['usuario_nombre'].errors}" *ngIf="loginForm.invalid && loginForm.controls['usuario_nombre'].errors">Usuario Incorrecto</div> -->
                <div id="valid" class="invalid-feedback mb-3">Usuario Requerido</div>
            </div>
            <div class="form-floating">
                <input type="password" [ngClass]="{'form-control':true,'is-invalid': submitted && loginForm.invalid && loginForm.controls.usuario_clave.errors}" formControlName="usuario_clave" id="floatingPassword" placeholder="Password" required>
                <label for="floatingPassword">Contraseña</label>
                <!-- <div id="valid" [ngClass]="{'invalid-feedback': loginForm != {} && loginForm.invalid && loginForm.controls['usuario_clave'].errors}" *ngIf="loginForm.invalid && loginForm.controls['usuario_clave'].errors">Contraseña Incorrecta</div> -->
                <div id="valid" class="invalid-feedback mb-3">Contraseña Requerido</div>
            </div>

            <div class="checkbox mb-3" *ngIf="false">
                <label>
                <input type="checkbox" value="remember-me"> Remember me
            </label>
            </div>
            <button class="w-100 btn btn-lg btn-primary" type="submit">Acceder</button>
            <p class="mt-5 mb-3 text-muted">&copy; 2021</p>
        </form>
    </main>
</div>